commit:     0e95e4c2e501d10033d454908d9afa944e549309
Author:     Heather Cynede <cynede <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  1 13:47:31 2016 +0000
Commit:     Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Fri Jul  1 13:48:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e95e4c2

dev-dotnet/nuget: bump to 2.8.7

Package-Manager: portage-2.3.0

 dev-dotnet/nuget/Manifest           |  1 +
 dev-dotnet/nuget/nuget-2.8.7.ebuild | 61 +++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-dotnet/nuget/Manifest b/dev-dotnet/nuget/Manifest
index 13bcc9b..7518e4e 100644
--- a/dev-dotnet/nuget/Manifest
+++ b/dev-dotnet/nuget/Manifest
@@ -1 +1,2 @@
 DIST nuget-2.8.3.tar.gz 14240757 SHA256 
8ca0cc2e3ec753338472011c8591c2e4d924e81bd12d9fab1c24d5a4903c61ec SHA512 
a1447042f77fdb0d63caaf49d64208ac0ab072ab1caf7f5edaeb936f3e26fac7ad80c3af51b12086cb2b9bb63df32e8da244894c4cd4946373ff86cb7a4e130d
 WHIRLPOOL 
cc4cb8fb7f8e92f756c5aa05022e6cca843cace591cfe3f8ea585f286d4002eb8b255cf8946cd9c3e3b3945480ddfe30868b4ad1e069329bb59f8b37051cf990
+DIST nuget-2.8.7.tar.gz 22865370 SHA256 
0c614f915ebe23f35474b1c8aae51ddf4411ad424a3874bec308a36b5ef69759 SHA512 
5120c8dc0fcda6aa8b8f2b8c4803bc141d046cbddb9ea2b9f963e775c5a652e4873295ecc22fd07261556777777fcf9f05a45fb4438fac9993b05ec83cadeb79
 WHIRLPOOL 
11fb1ce19be6eccdde09c2c279beb9a3ded71cad25e6070fd51b5c68d7400c46057b3fcc7d47a8caf569ecc9834e3280ec2305848e54313d34be5142a09b0e18

diff --git a/dev-dotnet/nuget/nuget-2.8.7.ebuild 
b/dev-dotnet/nuget/nuget-2.8.7.ebuild
new file mode 100644
index 0000000..f9bb91f
--- /dev/null
+++ b/dev-dotnet/nuget/nuget-2.8.7.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit dotnet eutils
+
+# This ebuild provides a forked version of nuget modified to work with 
MonoDevelop.
+# See https://bugzilla.xamarin.com/show_bug.cgi?id=27693
+# dev-dotnet/nuget-codeplex provides the upstream version.
+
+DESCRIPTION="Nuget - .NET Package Manager"
+HOMEPAGE="http://nuget.codeplex.com";
+SRC_URI="https://github.com/mrward/nuget/archive/Release-${PV}-MonoDevelop.tar.gz
 -> ${P}.tar.gz"
+S=${WORKDIR}/nuget-Release-${PV}-MonoDevelop
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+# Mask 3.2.0 because of mcs compiler bug : 
http://stackoverflow.com/a/17926731/238232
+# it fixed in 3.2.3
+DEPEND=">=dev-lang/mono-3.2.3
+       <=dev-dotnet/xdt-for-monodevelop-2.8.2
+       !dev-dotnet/nuget-codeplex"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+       addwrite "/usr/share/.mono/keypairs"
+       dotnet_pkg_setup
+       mozroots --import --sync --machine
+}
+
+src_prepare() {
+       sed -i -e 's@RunTests@ @g' "${S}/Build/Build.proj" || die
+       cp "${FILESDIR}/rsa-4096.snk" "${S}/src/Core/" || die
+       epatch "${FILESDIR}/add-keyfile-option-to-csproj.patch"
+       sed -i -E -e "s#(\[assembly: InternalsVisibleTo(.*)\])#/* \1 */#g" 
"src/Core/Properties/AssemblyInfo.cs" || die
+       epatch "${FILESDIR}/strongnames-for-ebuild-2.8.1.patch"
+}
+
+src_configure() {
+       export EnableNuGetPackageRestore="true"
+}
+
+src_compile() {
+#      xbuild Build/Build.proj /p:Configuration=Release 
/p:TreatWarningsAsErrors=false /tv:4.0 
/p:TargetFrameworkVersion="v${FRAMEWORK}" /p:Configuration="Mono Release" 
/t:GoMono || die
+       source ./build.sh || die
+}
+
+src_install() {
+       elog "Installing NuGet.Core.dll into GAC"
+       egacinstall "src/Core/obj/Mono Release/NuGet.Core.dll"
+       elog "Installing NuGet console application"
+       insinto /usr/lib/mono/NuGet/"${FRAMEWORK}"/
+       doins src/CommandLine/obj/Mono\ Release/NuGet.exe
+       make_wrapper nuget "mono /usr/lib/mono/NuGet/${FRAMEWORK}/NuGet.exe"
+}

Reply via email to